## ros-lunar-rqt-console 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_console)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_console
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-rqt-console (0.4.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-lunar-rqt-console (0.4.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-lunar-rqt-console (0.4.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-lunar-rqt-console (0.4.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-lunar-rqt-console (0.4.4-0xenial) xenial; urgency=high

  * fix regression with Qt 4 (#414 <https://github.com/ros-visualization/rqt_common_plugins/issues/414>)
  * fix missing dependency on rqt_py_common (#408 <https://github.com/ros-visualization/rqt_common_plugins/pull/408>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-rqt-console (0.4.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-lunar-rqt-console (0.4.2-0xenial) xenial; urgency=high

  * make message column stretch (#398 <https://github.com/ros-visualization/rqt_common_plugins/issues/398>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-rqt-console (0.4.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-lunar-rqt-console (0.4.0-0xenial) xenial; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-lunar-rqt-console (0.3.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-lunar-rqt-console (0.3.12-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-lunar-rqt-console (0.3.11-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-lunar-rqt-console (0.3.10-0xenial) xenial; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.9-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.7-0xenial) xenial; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-rqt-console (0.3.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-lunar-rqt-console (0.3.3-0xenial) xenial; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * use icons instead of text when available, refactor pause/resume button

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-lunar-rqt-console (0.3.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-lunar-rqt-console (0.3.1-0xenial) xenial; urgency=high

  * rewrite of rqt_console to drastically improve performance (#186 <https://github.com/ros-visualization/rqt_common_plugins/pull/186>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-lunar-rqt-console (0.3.0-0xenial) xenial; urgency=high

  * pause button no more saves state (#125 <https://github.com/ros-visualization/rqt_common_plugins/issues/125>)
  * persist message limit (#138 <https://github.com/ros-visualization/rqt_common_plugins/issues/138>)
  * add ability to set logger level (#117 <https://github.com/ros-visualization/rqt_common_plugins/issues/117>)
  * add tooltips to table cells (#143 <https://github.com/ros-visualization/rqt_common_plugins/issues/143>)
  * improve labels for filters (#146 <https://github.com/ros-visualization/rqt_common_plugins/issues/146>)
  * fix time column when loading data from file (#160 <https://github.com/ros-visualization/rqt_common_plugins/issues/160>)
  * fix applying message limit on change (#133 <https://github.com/ros-visualization/rqt_common_plugins/issues/133>)
  * fix clear button to remove all messages (#141 <https://github.com/ros-visualization/rqt_common_plugins/issues/141>)
  * fix sorting to use row index to decide order between equal values (except for time column) (#124 <https://github.com/ros-visualization/rqt_common_plugins/issues/124>)
  * fix locking of message queue
  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-rqt-console (0.2.17-0xenial) xenial; urgency=high

  * added missing word in status tip

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 07:00:00 -0000

ros-lunar-rqt-console (0.2.16-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 20:33:00 -0000

ros-lunar-rqt-console (0.2.15-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 07:02:00 -0000

ros-lunar-rqt-console (0.2.14-0xenial) xenial; urgency=high





=== debian/control ===
Source: ros-lunar-rqt-console
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://wiki.ros.org/rqt_console
Standards-Version: 3.9.2

Package: ros-lunar-rqt-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-lunar-python-qt-binding (>= 0.2.19), ros-lunar-roslib, ros-lunar-rospy, ros-lunar-rqt-gui, ros-lunar-rqt-gui-py, ros-lunar-rqt-logger-level, ros-lunar-rqt-py-common
Description: rqt_console provides a GUI plugin for displaying and filtering ROS messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rqt-console//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
